org.apache.commons.fileupload

## Class DefaultFileItemFactory

- java.lang.Object
- - org.apache.commons.fileupload.disk.DiskFileItemFactory
  - - org.apache.commons.fileupload.DefaultFileItemFactory

- All Implemented Interfaces:
    FileItemFactory

  Deprecated.
  1.1 Use `DiskFileItemFactory` instead.

      @Deprecated
      public class DefaultFileItemFactory
      extends DiskFileItemFactory

  The default `FileItemFactory` implementation. This implementation creates `FileItem` instances which keep their content either in memory, for smaller items, or in a temporary file on disk, for larger items. The size threshold, above which content will be stored on disk, is configurable, as is the directory in which temporary files will be created.

  If not otherwise configured, the default configuration values are as follows:

  - Size threshold is 10KB.
  - Repository is the system default temp directory, as returned by `System.getProperty("java.io.tmpdir")`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.fileupload.disk.DiskFileItemFactory

      `DEFAULT_SIZE_THRESHOLD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFileItemFactory()` Deprecated. 1.1 Use `DiskFileItemFactory` instead.
    `DefaultFileItemFactory(int sizeThreshold, File repository)` Deprecated. 1.1 Use `DiskFileItemFactory` instead.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileItem` | `createItem(String fieldName, String contentType, boolean isFormField, String fileName)` Deprecated. 1.1 Use `DiskFileItemFactory` instead.

    - ### Methods inherited from class org.apache.commons.fileupload.disk.DiskFileItemFactory

      `getDefaultCharset, getFileCleaningTracker, getRepository, getSizeThreshold, setDefaultCharset, setFileCleaningTracker, setRepository, setSizeThreshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultFileItemFactory

          @Deprecated
          public DefaultFileItemFactory()

      Deprecated. 1.1 Use `DiskFileItemFactory` instead.
      Constructs an unconfigured instance of this class. The resulting factory may be configured by calling the appropriate setter methods.

    - #### DefaultFileItemFactory

          @Deprecated
          public DefaultFileItemFactory(int sizeThreshold,
                                                    File repository)

      Deprecated. 1.1 Use `DiskFileItemFactory` instead.
      Constructs a preconfigured instance of this class.
      Parameters:
        `sizeThreshold` - The threshold, in bytes, below which items will be retained in memory and above which they will be stored as a file.
        `repository` - The data repository, which is the directory in which files will be created, should the item size exceed the threshold.

  - ### Method Detail

    - #### createItem

          @Deprecated
          public FileItem createItem(String fieldName,
                                                 String contentType,
                                                 boolean isFormField,
                                                 String fileName)

      Deprecated. 1.1 Use `DiskFileItemFactory` instead.
      Create a new `DefaultFileItem` instance from the supplied parameters and the local factory configuration.
      Specified by:
        `createItem` in interface `FileItemFactory`
      Overrides:
        `createItem` in class `DiskFileItemFactory`
      Parameters:
        `fieldName` - The name of the form field.
        `contentType` - The content type of the form field.
        `isFormField` - `true` if this is a plain form field; `false` otherwise.
        `fileName` - The name of the uploaded file, if any, as supplied by the browser or other client.
      Returns:
        The newly created file item.

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.